.select-parts-wrap {
  padding: 0;
  border: 2px solid #adadad;
  border-radius: 5px;
  overflow: hidden;
  position: relative;
  /* margin-bottom: 40px; */
  width: 1170px;
}
.select-parts-wrap img {
  width: 100%;
}
form.parts {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  z-index: 1;
}
.form-group-parts {
  display: block;
  margin-bottom: 0;
  position: relative;
  z-index: 9;
}
.form-group-parts input {
  padding: 0;
  height: initial;
  width: initial;
  margin-bottom: 0;
  display: none;
  cursor: pointer;
}
.form-group-parts label {
  position: relative;
  cursor: pointer;
  margin: 0;
}
.form-group-parts label:before {
  content:'';
  -webkit-appearance: none;
  background-color: transparent;
  border: 2px solid #f36638;
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05), inset 0px -15px 10px -12px rgba(0, 0, 0, 0.05);
  /* padding: 10px; */
  display: inline-block;
  position: relative;
  vertical-align: middle;
  cursor: pointer;
  border-radius: 50%;
  width: 25px;
  height: 25px;
  background: #fff;
}
.form-group-parts input:checked + label:after {
  content: '';
  display: block;
  position: absolute;
  top: 7px;
  left: 5px;
  width: 15px;
  height: 15px;
  /* border: solid #0079bf; */
  /* border-width: 0 2px 2px 0; */
  /* transform: rotate(45deg); */
  background: #f36638;
  border-radius: 50%;
}


.ripple.bumper {
  position: absolute;
  left: 34px;
  bottom: 190px;
}
.ripple.wing {
  position: absolute;
  left: 316px;
  top: 165px;
}
.ripple.wing2 {
  position: absolute;
  left: 316px;
  bottom: 162px;
}
.ripple.bonnet {
  position: absolute;
  left: 270px;
  top: 236px;
}
.ripple.door1 {
  position: absolute;
  left: 418px;
  top: 131px;
}
.ripple.door2 {
  position: absolute;
  left: 418px;
  bottom: 129px;
}
.ripple.door3 {
  position: absolute;
  left: 599px;
  top: 131px;
}
.ripple.door4 {
  position: absolute;
  left: 599px;
  bottom: 129px;
}
.ripple.roof {
  position: absolute;
  left: 633px;
  top: 272px;
}
.ripple.windscreen {
  position: absolute;
  left: 451px;
  top: 271px;
}
.ripple.window {
  position: absolute;
  right: 410px;
  top: 271px;
}
.ripple.boot {
  position: absolute;
  right: 256px;
  top: 237px;
}
.ripple.wing3 {
  position: absolute;
  right: 206px;
  top: 127px;
}
.ripple.wing4 {
  position: absolute;
  right: 206px;
  bottom: 129px;
}
.ripple.bumper2 {
  position: absolute;
  top: 352px;
  right: 16px;
}

.ripple {
  position: relative;
  animation: ripple 3s linear infinite;
  border-radius: 50%;
}
.ripple::before,
.ripple::after {
  content: "";
  position: absolute;
  top: 2px;
  left: 0;
  right: 0;
  bottom: 0;
  border-radius: 50%;
  animation: ripple 3s linear infinite 1s
}
.ripple::after {
  animation: ripple 3s linear infinite 2s
}

@keyframes ripple {
  0% {
      box-shadow: 0 0 0 .1rem rgba(243, 102, 56, 0.2);
  }

  100% {
      box-shadow: 0 0 0 2rem rgba(243, 102, 56, 0);
  }
}

.selectpartsModal {
  overflow-x: auto !important;
}

.ZoomPan-wrapper {
    overflow: hidden;
    position: relative;
}
.zoomscaleModal .select-parts-wrap{
  width: 100%;
  border: 0;
  overflow: auto;
}
.zoomscaleModal .scaleItem_wraper{
  border-radius: 5px;
}
.ZoomPan-wrapper .zpw-title {
    position: absolute;
    top: 0;
    left: 0;
    background-color: #e0e0e0;
    /* border-bottom-right-radius: 10px; */
    padding: 10px 20px;
    overflow: hidden;
    z-index: 1;
}
.ZoomPan-wrapper .select-parts-wrap img{
  width: 100%;
  height: auto;

}
.ZoomPan-wrapper #imgZoomPan {
    width: 100%;
    height: auto;
    min-height: 400px;
/*    aspect-ratio: 2/1;*/
    overflow: auto;
    cursor: all-scroll;
}
.ZoomPan-wrapper #imgZoomPan:active {
    cursor: grab;
}
.ZoomPan-wrapper #imgZoomPan.izp-styl1 {
    min-height: 250px;
    aspect-ratio: 3.5/1;
}
.zoomscaleModal #controls {
    justify-content: center;
    align-items: center;
    gap: 5px;
    border-top: 0;
    display: none;
}
.zoomscaleModal #controls button {
    width: 32px;
    height: 32px;
    font-size: 14px;
    color: #ffffff;
    background-color: #f36638;
    border: 0;
    border-radius: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.5s;
}
.zoomscaleModal #controls button:hover {
    background-color: #000000;
}

.zoomscaleModal #controls input[type="range"] {
    /* removing default appearance */
    -webkit-appearance: none;
    appearance: none; 
    /* creating a custom design */
    width: 100%;
    max-width: 130px;
    cursor: pointer;
    outline: none;
    /*  slider progress trick  */
    overflow: hidden;
    border-radius: 16px;
}
  
/* Track: webkit browsers */
.zoomscaleModal #controls  input[type="range"]::-webkit-slider-runnable-track {
    height: 12px;
    background: #ccc;
    border-radius: 16px;
}
  
/* Track: Mozilla Firefox */
.zoomscaleModal #controls  input[type="range"]::-moz-range-track {
    height: 12px;
    background: #ccc;
    border-radius: 16px;
}
  
/* Thumb: webkit */
.zoomscaleModal #controls  input[type="range"]::-webkit-slider-thumb {
    /* removing default appearance */
    -webkit-appearance: none;
    appearance: none; 
    /* creating a custom design */
    height: 12px;
    width: 12px;
    background-color: #fff;
    border-radius: 50%;
    border: 2px solid #f36638;
    /*  slider progress trick  */
    box-shadow: -407px 0 0 400px #f36638;
}
  
  
/* Thumb: Firefox */
.zoomscaleModal #controls  input[type="range"]::-moz-range-thumb {
    height: 12px;
    width: 12px;
    background-color: #fff;
    border-radius: 50%;
    border: 1px solid #f36638;
    /*  slider progress trick  */
    box-shadow: -407px 0 0 400px #f36638;
}

.ZoomPan-wrapper-note {
    font-size: 12px;
    font-weight: 400;
    color: #000000;
    margin-top: 10px;
    text-align: right;
}
.zoomscaleModal .modal-footer{
  justify-content: flex-end;
}
/*.zoomscaleModal .parts{
    max-width: 1205px;
    width: 1205px;
}*/

body:has(.modal.zoomscaleModal.show) {
      touch-action: none !important;
}

@media (min-width: 1205px) {
    #scaleItem {
        overflow: hidden;  /* Hide overflow on desktop */
    }
}

/* Allow overflow and scaling on mobile screens */
@media (max-width: 1205px) {
    #scaleItem {
        overflow: visible;  /* Allow overflow on mobile */
        width: 1205px;
        max-width: 1205px;
        transition: transform 0.2s ease-in-out, height 0.2s ease-in-out;
        min-height: 450px;
    }
    .zoomscaleModal .modal-dialog{
      width: 100% !important;
      max-width: 100% !important;
    }
    .ZoomPan-wrapper{
      overflow-y: auto;
    }
    .zoomscaleModal #controls{
      display: inline-flex;
    }
    .zoomscaleModal .modal-footer{
      justify-content: space-between;
    }
    .zoomscaleModal .scaleItem_wraper{
      overflow-y: scroll;
    }
}

